package com.engine.organization.entity.postion.dto;

import com.engine.organization.entity.postion.param.PostInfoSearchParam;
import com.engine.organization.entity.postion.po.PostInfoPO;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
public class PostInfoDTO {
    public static PostInfoPO convertParamToPO(PostInfoSearchParam param, Long employeeId) {
        if (param == null) {
            return null;
        }
        return PostInfoPO.builder()
                .id(param.getId() == null ? 0 : param.getId())
                .postInfoNo(param.getPostInfoNo() == null ? null : param.getPostInfoNo())
                .postInfoName(param.getPostInfoName() == null ? null : param.getPostInfoName())
                .postInfoAuthority(param.getPostInfoAuthority() == null ? null : param.getPostInfoAuthority())
                .postInfoDuty(param.getPostInfoDuty() == null ? null : param.getPostInfoDuty())
                .postInfoQualification(param.getPostInfoQualification() == null ? null : param.getPostInfoQualification())
                .postId(param.getPostId() == null ? null : param.getPostId())
                .description(param.getDescription() == null ? null : param.getDescription())
                .forbiddenTag(param.getForbiddenTag() == null ? 0 : param.getForbiddenTag() ? 0 : 1)
                .deleteType(0)
                .createTime(new Date())
                .updateTime(new Date())
                .creator(employeeId)
                .build();
    }
}
